Subject: [Techspec] Comments on techspec from a user perspective

From: "Stephen Hayes (TX/EUS)" <[email-masked]>
Date: Fri, 21 Oct 2005 11:18:14 -0500

I had a look at mankin-pub-req and I applaud the initiative.  From the perspective of a SDO using IETF specs, the the RFC publication process has always been a bit of a black hole. Most other areas of IETF have shown increased transparency, but not the publication process.  

The draft seems well written but I did have a few comments on the stable permanent identifier at approval experiment:

1. This is something that is really needed by external SDOs.  Most SDOs have a very onerous errata process for making an update to insert a RFC reference.  The inability to get this 4 digit number in a timely manner leads to undesirable behaviour such as copying the text into annexes.

2. If you have early allocation of a stable permanent identifier, do you still need fast tracking?  It seems like Fast Tracking was a method to meet external timelines when you didn't have a way of getting an early RFC number. In general external SDOs just need a reference and an assurance that it will pop out in a reasonable time. 

3. As soon as a permanent identifier is allocated, the RFC editor should provide a pointer in the RFC database to the pre-publication version (again with appropriate disclaimers), so that the references can be resolved.

4. Is it really necessary to wait for the two month appeal process to assign a stable permanent identifier?  It would seem that the necessary disclaimers could be added to the RFC-TO-BE so that it was clear that references to it carry a risk.

5. Will IETF itself use the stable references?  For example, if a draft is in the RFC editor queue waiting for dependencies, can it be published as soon as those dependencies have stable references or will it need to wait for the references to be actually published.  Not waiting for actual publication will speed things up, but raises the risk of major ripple effects if a RFC-TO-BE ever has to be withdrawn.  

IMHO, The RFC editor itself shouldn't publish a RFC until all required references are also published.  Thus when you finally get the RFC, you can be sure that it is solid.

Regards,
Stephen Hayes

_______________________________________________
Techspec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/techspec